@import "../../../colors.scss";

.main {
  padding: 40px 0;
  box-sizing: border-box;
  overflow: hidden;

  & > div {
    border-right: solid 2px $accent;
    height: 100%;
    display: flex;
    flex-direction: column;
  }
}
.selected {
  background-color: $accent;

  & + * > div {
    border-top: solid 2px transparent !important;
  }
}

.newChatButton {
  height: 2rem;
  width: 2rem;
  background-color: $secondary;
  padding: 0px;
  border: solid 2px $accentDark;
  &:hover {
    path {
      fill: $accentDark;
    }
  }

  path {
    fill: $white;
  }

  &:hover {
    cursor: pointer;
    fill: $green;
  }
}

.backButton {
  height: 2rem;
  width: 2rem;
  background-color: $secondary;
  padding: 0px;
  border: solid 2px $accentDark;
  &:hover {
    path {
      fill: $accentDark;
    }
  }

  path {
    fill: $white;
  }

  &:hover {
    cursor: pointer;
    fill: $green;
  }
}

.noConversations {
  padding: 20px;
}

.newConvInfo {
  padding: 0 20px;
  font-family: "JetBrainsMono-Light", monospace;
  font-size: 0.8rem;
  color: $white;
  opacity: 0.5;
  margin-bottom: 1rem;
}

.infoIcon {
  width: 15px;
  height: auto;
  vertical-align: middle;
  float: left;
  margin-right: 5px;
  circle,
  line {
    stroke: $white;
  }
}

.foundUsers {
  max-height: 5rem;
}

.contactsList {
  margin: 0 20px;
  padding: 15px 0;
  border-top: 2px solid $secondary;

  p:nth-of-type(2) {
    color: $white;
    opacity: 0.5;
  }

  .listTitle {
    margin-bottom: 1rem;
    font-family: "JetBrainsMono-Bold", monospace;
  }
}

.scrollList {
  overflow-y: scroll;
}

.userItemSmall {
  margin-bottom: 5px;
  opacity: 0.75;

  &:hover {
    cursor: pointer;
    color: $green;
  }
}

.conversation {
  padding: 0 20px;

  & > div {
    border-top: solid 2px $accent;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;

    padding-bottom: 15px;
    padding-top: 5px;

    .topBar {
      display: flex;
      flex-direction: column;

      .info {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        column-gap: 5px;

        .letter {
          height: 15px;
          width: auto;
          animation: flashAnimation 2s infinite;

          path {
            fill: $white;
          }
        }

        .notification {
          height: 10px;
          width: 10px;
          border-radius: 50%;
          background-color: $green;
          animation: flashAnimation 2s infinite;
        }
      }
    }
  }

  &:hover {
    color: $green !important;
    cursor: pointer;
  }
}

@keyframes flashAnimation {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.name {
  font-family: "JetBrainsMono-Bold", monospace;
  font-size: 20px;
}

.user {
  opacity: 0.5;
  font-size: 18px;
}

.message {
  margin-top: 0.5rem;
  font-size: 14px;
  opacity: 0.8;
  font-family: "JetBrainsMono-Light", monospace;
}

.textOverflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.date {
  font-size: 14px;
  margin-top: 5px;
  opacity: 0.8;
}

.header {
  display: flex;
  flex-direction: column;
  padding: 0 20px;

  .title {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }

  button {
    height: min-content;
    background-color: transparent;
    border: none;
  }

  .search {
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 5px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: $white;
    font-family: "JetBrainsMono-Light", monospace;
    font-size: 1rem;
  }
}

.inputWrapper {
  position: relative;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;

  input {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 5px;
    box-sizing: border-box;
    position: relative;
    font-size: 1rem;
    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    padding-right: 45px;
  }

  .searchButton {
    z-index: 2;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    position: absolute;
    display: block;
    background: transparent;
    border: none;
  }

  .searchIcon {
    height: 20px;
    width: 20px;
    transition: scale 200ms;

    &:hover {
      cursor: pointer;
      path {
        fill: $green;
      }
    }
  }
}
